Subject: Re: bug#62260: 30.0.50; [PATCH] Restrict auto-save file mode

From: Manuel Giraud <[email-masked]>
Date: Fri, 24 Mar 2023 11:35:07 +0100

Michael Albinus <[email-masked]> writes:

[...]

> For the time being, I have added the possibility to suppress auto-save
> for remote files. The Tramp manual says now:
>
>         − Keep auto-save files local.  This is already the default
>           configuration in Emacs, don’t change it.  If you want to
>           disable auto-saving for remote files at all, set
>           ‘remote-file-name-inhibit-auto-save’ to ‘t’, but think about
>           the consequences!
>
>           If you want to disable auto-saving just for selected
>           connections, for example due to security considerations, use
>           connection-local variables in order to set
>           ‘buffer-auto-save-file-name’.  If you, for example, want to
>           disable auto-saving for all ‘sudo’ connections, apply the
>           following code.  *Note (emacs)Connection Variables::.
>
>                (connection-local-set-profile-variables
>                  'my-auto-save-profile
>                  '((buffer-auto-save-file-name . nil)))
>
>                (connection-local-set-profiles
>                 '(:application tramp :protocol "sudo")
>                 'my-auto-save-profile)

Hi again Michael,

Just a quick "heads-up".  I've tried this new feature and it works
great.  But I still think we could reduce the false positives (as
enumerated by Trent) that are triggering the user prompt with my patch
or something along the line.

There is also still the issue of what should be done when the user
answers "no" to this prompt.  Should we not open the file? Disable
auto-save for this file?

Best regards,
-- 
Manuel Giraud